<div class="container">
  <app-breadcrumb-public [single]="false" backPage="Todos" url="/todos-productos" [titlePage]="product.name.es"></app-breadcrumb-public>
  <div class="row my-5">
    <div class="col-12 col-lg-4">
      <div class="row">
        <img [src]="product._id | image: 'products'" class="w-100" [alt]="product.image" (click)="showGallery(0)" (error)="replaceImage(image)" #image>
      </div>
      <div class="row">
        <div class="col-3" *ngFor="let image of product.images; let i= index">
          <img [src]="image | imageGallery: product._id:'products'" class="w-100" (click)="showGallery(i + 1)" [alt]="image" (error)="replaceImage(image)" #image>
        </div>
      </div>
    </div>
    <div class="col-12 col-lg-8 ps-lg-5 mt-3 mt-lg-0">
      <div class="row">
        <div class="col-12">
          <h2 class="text-left text-capitalize text-title">{{ product.name.es }}</h2>
          <h2 class="text-left text-capitalize" *ngIf="product.record">Reg. SAGARPA  {{ product.record }}</h2>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-3 tooltip2 col-lg-2 col-xl-1 mt-1 mt-xl-0" *ngFor="let kind of product.kinds">
          <img [src]="kind._id | image: 'kinds'" class="w-100" [alt]="kind.image" (error)="replaceImage(image)" #image>
          <div class="top">
            <h6>{{ kind.name }}</h6>
            <i></i>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-12 col-lg-8">
          <h5 class="text-capitalize" *ngIf="product.formula.es">fórmula:</h5>
          <p class="text-left" [innerHTML]="product.formula.es"></p>
          <h5 class="text-capitalize" *ngIf="product.presentations.es">Presentaciones:</h5>
          <p class="text-left" [innerHTML]="product.presentations.es"></p>
        </div>
        <div class="col-12 col-lg-4">
          <h5 class="text-capitalize" *ngIf="product.dose.es">dosis:</h5>
          <p class="text-left" [innerHTML]="product.dose.es"></p>
          <h5 class="text-capitalize" *ngIf="product.routes">via de administración:</h5>
          <p class="text-left" *ngFor="let route of product.routes">
            {{ route.name }} &nbsp;
          </p>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <h5 class="text-capitalize" *ngIf="product.indications.es">indicaciones:</h5>
          <p class="text-left" [innerHTML]="product.indications.es"></p>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <h5 class="text-left text-capitalize" *ngIf="product.warnings.es">advertencias:</h5>
          <p class="text-left" [innerHTML]="product.warnings.es"></p>
        </div>
      </div>
      <div class="row mt-3">
        <div class="col-12">
          <iframe [src]="linkface"
                  width="450"
                  height="35"
                  style="border:none;
                  overflow:hidden;
                  color:white;"
                  scrolling="no"
                  frameborder="0"
                  allowfullscreen="true"
                  allow="autoplay;
                  clipboard-write;
                  encrypted-media;
                  picture-in-picture;
                  web-share">
          </iframe>
        </div>
      </div>
    </div>
  </div>
</div>
